[Buildroot] [PATCH v6 1/6] package/polkit: bump to version 0.116

Thomas Petazzoni thomas.petazzoni at bootlin.com
Sun Dec 8 19:58:47 UTC 2019


Hello,

On Sun, 8 Dec 2019 11:04:16 -0800
Adam Duskett <aduskett at gmail.com> wrote:

> > One direction that would be nice to look at is to enable spidermonkey
> > and then polkit on uClibc. Regarding the fenv issue, perhaps we could
> > have a boolean that says whether uClibc provides fenv support for the
> > current architecture, and then treat this as an architecture dependency
> > inside BR2_PACKAGE_SPIDERMONKEY_ARCH_SUPPORTS ? How many architectures
> > have sufficient fenv support in uClibc for spidermonkey ?
> >  
> Not many, Yann and I had a conversation about this earlier and it
> doesn't seem worth it.

OK.

> Perhaps instead we could put the same effort into a variable that
> checks for uclibc fts support.
> That way selinux can be enabled with uclibc:

SELinux can already be enabled on uClibc. I added the musl-fts package,
and used it in libselinux to make it available for uClibc/musl.

When you're grumpy, please verify your claims :-)

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com


More information about the buildroot mailing list